ElementValueGen (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.generic

## Class ElementValueGen

- java.lang.Object
- - org.apache.bcel.generic.ElementValueGen

- Direct Known Subclasses:
    AnnotationElementValueGen, ArrayElementValueGen, ClassElementValueGen, EnumElementValueGen, SimpleElementValueGen

      public abstract class ElementValueGen
      extends Object

  Since:
    6.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOTATION`
    `static int` | `ARRAY`
    `static int` | `CLASS`
    `protected ConstantPoolGen` | `cpGen` Deprecated. (since 6.0) will be made private and final; do not access directly, use getter
    `static int` | `ENUM_CONSTANT`
    `static int` | `PRIMITIVE_BOOLEAN`
    `static int` | `PRIMITIVE_BYTE`
    `static int` | `PRIMITIVE_CHAR`
    `static int` | `PRIMITIVE_DOUBLE`
    `static int` | `PRIMITIVE_FLOAT`
    `static int` | `PRIMITIVE_INT`
    `static int` | `PRIMITIVE_LONG`
    `static int` | `PRIMITIVE_SHORT`
    `static int` | `STRING`
    `protected int` | `type` Deprecated. (since 6.0) will be made private and final; do not access directly, use getter

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ElementValueGen(int type, ConstantPoolGen cpGen)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementValueGen` | `copy(ElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)` Creates an (modifiable) ElementValueGen copy of an (immutable) ElementValue - constant pool is assumed correct.
    `abstract void` | `dump(DataOutputStream dos)`
    `protected ConstantPoolGen` | `getConstantPool()`
    `abstract ElementValue` | `getElementValue()` Subtypes return an immutable variant of the ElementValueGen
    `int` | `getElementValueType()`
    `static ElementValueGen` | `readElementValue(DataInput dis, ConstantPoolGen cpGen)`
    `abstract String` | `stringifyValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          @Deprecated
          protected int type

      Deprecated. (since 6.0) will be made private and final; do not access directly, use getter

    - #### cpGen

          @Deprecated
          protected ConstantPoolGen cpGen

      Deprecated. (since 6.0) will be made private and final; do not access directly, use getter

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### ENUM_CONSTANT

          public static final int ENUM_CONSTANT

      See Also:
        Constant Field Values

    - #### CLASS

          public static final int CLASS

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final int ANNOTATION

      See Also:
        Constant Field Values

    - #### ARRAY

          public static final int ARRAY

      See Also:
        Constant Field Values

    - #### PRIMITIVE_INT

          public static final int PRIMITIVE_INT

      See Also:
        Constant Field Values

    - #### PRIMITIVE_BYTE

          public static final int PRIMITIVE_BYTE

      See Also:
        Constant Field Values

    - #### PRIMITIVE_CHAR

          public static final int PRIMITIVE_CHAR

      See Also:
        Constant Field Values

    - #### PRIMITIVE_DOUBLE

          public static final int PRIMITIVE_DOUBLE

      See Also:
        Constant Field Values

    - #### PRIMITIVE_FLOAT

          public static final int PRIMITIVE_FLOAT

      See Also:
        Constant Field Values

    - #### PRIMITIVE_LONG

          public static final int PRIMITIVE_LONG

      See Also:
        Constant Field Values

    - #### PRIMITIVE_SHORT

          public static final int PRIMITIVE_SHORT

      See Also:
        Constant Field Values

    - #### PRIMITIVE_BOOLEAN

          public static final int PRIMITIVE_BOOLEAN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ElementValueGen

          protected ElementValueGen(int type,
                                    ConstantPoolGen cpGen)

  - ### Method Detail

    - #### getElementValue

          public abstract ElementValue getElementValue()

      Subtypes return an immutable variant of the ElementValueGen

    - #### getElementValueType

          public int getElementValueType()

    - #### stringifyValue

          public abstract String stringifyValue()

    - #### dump

          public abstract void dump(DataOutputStream dos)
                             throws IOException

      Throws:
        `IOException`

    - #### readElementValue

          public static ElementValueGen readElementValue(DataInput dis,
                                                         ConstantPoolGen cpGen)
                                                  throws IOException

      Throws:
        `IOException`

    - #### getConstantPool

          protected ConstantPoolGen getConstantPool()

    - #### copy

          public static ElementValueGen copy(ElementValue value,
                                             ConstantPoolGen cpool,
                                             boolean copyPoolEntries)

      Creates an (modifiable) ElementValueGen copy of an (immutable) ElementValue - constant pool is assumed correct.

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.